summaryrefslogtreecommitdiffstats
path: root/source/installer
diff options
context:
space:
mode:
Diffstat (limited to 'source/installer')
-rwxr-xr-xsource/installer/busybox.SlackBuild6
-rw-r--r--source/installer/busybox.fix.perms.64bit.platforms.diff44
-rw-r--r--source/installer/busybox.glibc217.diff10
-rwxr-xr-xsource/installer/dropbear/dropbear.Slackbuild2
-rw-r--r--source/installer/dropbear/rc.dropbear.new2
5 files changed, 61 insertions, 3 deletions
diff --git a/source/installer/busybox.SlackBuild b/source/installer/busybox.SlackBuild
index 3bafdcde6..bf99203a1 100755
--- a/source/installer/busybox.SlackBuild
+++ b/source/installer/busybox.SlackBuild
@@ -1,5 +1,5 @@
#!/bin/sh
-# Copyright 2007, 2009, 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2007, 2009, 2011, 2012, 2016 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -49,6 +49,10 @@ zcat $CWD/busybox.2.6.32.2.diff.gz | patch -p1 || exit 1
# Fix broken wget -P option:
zcat $CWD/busybox.wget.P.diff.gz | patch -p1 --verbose || exit 1
+zcat $CWD/busybox.glibc217.diff.gz | patch -p1 --verbose || exit 1
+
+zcat $CWD/busybox.fix.perms.64bit.platforms.diff.gz | patch -p1 --verbose || exit 1
+
# Make sure ownerships and permissions are sane:
chown -R root:root .
find . -perm 666 -exec chmod 644 {} \;
diff --git a/source/installer/busybox.fix.perms.64bit.platforms.diff b/source/installer/busybox.fix.perms.64bit.platforms.diff
new file mode 100644
index 000000000..d8afd95ef
--- /dev/null
+++ b/source/installer/busybox.fix.perms.64bit.platforms.diff
@@ -0,0 +1,44 @@
+From af36ba206f7cf0eef77a82af741766a2d03c51ad Mon Sep 17 00:00:00 2001
+From: Timo Teras <timo.teras@iki.fi>
+Date: Fri, 10 Feb 2012 09:55:24 +0200
+Subject: mkdir: fix permissions on 64-bit platforms
+
+sizeof(long) != sizeof(mode_t), this causes the compare in
+bb_make_directory of (long)-1 != (mode_t)-1 to fail and mess up
+the permissions of final directory by doing chmod((mode_t) -1).
+
+Signed-off-by: Timo Teras <timo.teras@iki.fi>
+Signed-off-by: Denys Vlasenko <vda.linux@googlemail.com>
+---
+ coreutils/mkdir.c | 7 ++++---
+ 1 file changed, 4 insertions(+), 3 deletions(-)
+
+diff --git a/coreutils/mkdir.c b/coreutils/mkdir.c
+index a4429b1..b33b6bb 100644
+--- a/coreutils/mkdir.c
++++ b/coreutils/mkdir.c
+@@ -54,7 +54,7 @@ static const char mkdir_longopts[] ALIGN1 =
+ int mkdir_main(int argc, char **argv) MAIN_EXTERNALLY_VISIBLE;
+ int mkdir_main(int argc UNUSED_PARAM, char **argv)
+ {
+- mode_t mode = (mode_t)(-1);
++ long mode = -1;
+ int status = EXIT_SUCCESS;
+ int flags = 0;
+ unsigned opt;
+@@ -68,10 +68,11 @@ int mkdir_main(int argc UNUSED_PARAM, char **argv)
+ #endif
+ opt = getopt32(argv, "m:p" IF_SELINUX("Z:"), &smode IF_SELINUX(,&scontext));
+ if (opt & 1) {
+- mode = 0777;
+- if (!bb_parse_mode(smode, &mode)) {
++ mode_t mmode = 0777;
++ if (!bb_parse_mode(smode, &mmode)) {
+ bb_error_msg_and_die("invalid mode '%s'", smode);
+ }
++ mode = mmode;
+ }
+ if (opt & 2)
+ flags |= FILEUTILS_RECUR;
+--
+cgit v0.12
diff --git a/source/installer/busybox.glibc217.diff b/source/installer/busybox.glibc217.diff
new file mode 100644
index 000000000..94afe3597
--- /dev/null
+++ b/source/installer/busybox.glibc217.diff
@@ -0,0 +1,10 @@
+--- ./include/libbb.h.orig 2012-02-04 13:34:24.000000000 -0600
++++ ./include/libbb.h 2013-03-11 23:30:28.537980546 -0500
+@@ -35,6 +35,7 @@
+ #include <sys/poll.h>
+ #include <sys/ioctl.h>
+ #include <sys/mman.h>
++#include <sys/resource.h>
+ #include <sys/socket.h>
+ #include <sys/stat.h>
+ #include <sys/time.h>
diff --git a/source/installer/dropbear/dropbear.Slackbuild b/source/installer/dropbear/dropbear.Slackbuild
index 37ab7c012..9cc78b3ed 100755
--- a/source/installer/dropbear/dropbear.Slackbuild
+++ b/source/installer/dropbear/dropbear.Slackbuild
@@ -24,7 +24,7 @@
PRGNAM=dropbear
VERSION=2012.55
-BUILD=${BUILD:-10}
+BUILD=${BUILD:-11}
TAG=${TAG:-''}
if [ -z "$ARCH" ]; then
diff --git a/source/installer/dropbear/rc.dropbear.new b/source/installer/dropbear/rc.dropbear.new
index 85f0e56e8..3a695b811 100644
--- a/source/installer/dropbear/rc.dropbear.new
+++ b/source/installer/dropbear/rc.dropbear.new
@@ -15,7 +15,7 @@ dropbear_start() {
/bin/dropbearkey -t dss -f /etc/dropbear/dropbear_dss_host_key
fi
touch /var/log/lastlog # The file is missing in the installer
- /sbin/dropbear -b /etc/motd.net 2>> /var/log/dropbear.log
+ /sbin/dropbear 2>> /var/log/dropbear.log
}
dropbear_stop() {